/* -*- c++ -*-
FILE: BitmapsX.h
RCS REVISION: $Revision: 1.7 $

COPYRIGHT: (c) 1999 -- 2003 Melinda Green, Don Hatch, and Jay Berkenbilt - Superliminal Software

LICENSE: Free to use and modify for non-commercial purposes as long as the
    following conditions are adhered to:
    1) Obvious credit for the source of this code and the designs it embodies
       are clearly made, and
    2) Ports and derived versions of 4D Magic Cube programs are not distributed
       without the express written permission of the authors.

DESCRIPTION:
    Bitmap information produced by the bitmap editor
*/

#ifndef BITMAPSX_H
#define BITMAPSX_H

#define grey0_width 1
#define grey0_height 1
static unsigned char grey0_bits[] = {
    0x00
};

#define grey6_width 4
#define grey6_height 4
static unsigned char grey6_bits[] = {
    0x01, 0x00, 0x00, 0x00
};

#define grey12_width 4
#define grey12_height 4
static unsigned char grey12_bits[] = {
    0x01, 0x00, 0x04, 0x00
};

#define grey25_width 2
#define grey25_height 2
static unsigned char grey25_bits[] = {
    0x01, 0x00
};

#define grey50_width 2
#define grey50_height 2
static unsigned char grey50_bits[] = {
    0x01, 0x02
};

#define grey75_width 2
#define grey75_height 2
static unsigned char grey75_bits[] = {
    0x03, 0x02
};

#define grey88_width 4
#define grey88_height 4
static unsigned char grey88_bits[] = {
    0xfe, 0xff, 0xfb, 0xff
};

#define grey94_width 4
#define grey94_height 4
static unsigned char grey94_bits[] = {
    0xfe, 0xff, 0xff, 0xff
};

#define grey100_width 1
#define grey100_height 1
static unsigned char grey100_bits[] = {
    0x01
};

#define horiz_width 1
#define horiz_height 2
static unsigned char horiz_bits[] = {
    0x01, 0x00
};

#define diag0_width 4
#define diag0_height 4
static unsigned char diag0_bits[] = {
    0x0c, 0x06, 0x03, 0x09
};

#define diag1_width 4
#define diag1_height 4
static unsigned char diag1_bits[] = {
    0x09, 0x03, 0x06, 0x0c
};

#define littlediags_width 6
#define littlediags_height 6
static unsigned char littlediags_bits[] = {
    0xfb, 0xfd, 0xfe, 0xf7, 0xef, 0xdf
};

#define ovals_width 6
#define ovals_height 6
static unsigned char ovals_bits[] = {
    0xfc, 0xfa, 0xf9, 0xcf, 0xd7, 0xe7
};

#define thindiag1_width 5
#define thindiag1_height 5
static unsigned char thindiag1_bits[] = {
    0xfe, 0xfd, 0xfb, 0xf7, 0xef
};

#define WHATEVER(name) {name##_width, name##_height, name##_bits}

static struct
{
    int         width, height;
    unsigned char *bits;
}
stippleinfo[] =
{
    WHATEVER(grey100),
    WHATEVER(littlediags),
    WHATEVER(grey94),
    WHATEVER(ovals),
    WHATEVER(thindiag1),
    WHATEVER(grey75),
    WHATEVER(diag0),
    WHATEVER(grey50),
    WHATEVER(grey88),
    WHATEVER(grey25),
    WHATEVER(horiz),
    WHATEVER(diag1),
    WHATEVER(grey6),
    WHATEVER(grey12),
    WHATEVER(grey0),
};
static Pixmap stipple_pixmaps[8];

#endif

// Local Variables:
// c-basic-offset: 4
// c-comment-only-line-offset: 0
// c-file-offsets: ((defun-block-intro . +) (block-open . 0) (substatement-open . 0) (statement-cont . +) (statement-case-open . +4) (arglist-intro . +) (arglist-close . +) (inline-open . 0))
// indent-tabs-mode: nil
// End:
